
/*
 *
 * Реакции
 *
 */


НастроитьИгру = мир =>
{
    мир.настройки = {
        type: Phaser.AUTO,
        width: 800,
        height: 600,
        backgroundColor: 0xfbfbfb,
        scale: {
            width: 800,
            height: 600,
            parent: document.getElementById("родитель"),
            mode: Phaser.Scale.ENVELOP,
            autoCenter: Phaser.Scale.CENTER_BOTH,
        },
        physics: {
            default: "matter",
            matter: {
                gravity: {
                    y: 0.01,
                },
                debug: {
                    showBody: true,
                    showStaticBody: true,
                },
            },
        },
        scene: {
            preload: function() {
                мир.сцена = this;
                мир.уведомить("загрузить ресурсы сцены");

                мир.сцена.load.image("основа", "основа.jpg");

            },
            create: function() {
                мир.сцена = this;
                мир.уведомить("создать сцену");


                мир.img = мир.сцена.matter.add.image(100, 300, "основа");
                мир.img.setScale(20, 3);


            },
            update: function() {
                мир.сцена = this;
                мир.уведомить("обновить сцену");
                
                //console.debug(мир.img.y);
            },
        },
    };
};


// // // //


ЗапуститьИгру = мир =>
{
    мир.игра = new Phaser.Game(мир.настройки);
};


// // // //


ЗадатьГромкость = мир =>
{
    мир.сцена.sound.volume = 0.15;
};


/*
 *
 * Последовательность
 *
 */


мир.разобрать(`
пуск
    настроить игру
    запустить игру
создать сцену
    задать громкость
`);

